/******************************************************************************/
/*                                                                            */
/*    Copyright (c) Centre de traitement en imagerie virtuelle inc.           */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/*    These coded instructions, statements, and computer programs  contain    */
/*    unpublished  proprietary and  confidential information of  Centre de    */
/*    traitement  en  imagerie virtuelle inc. (CTIV), and are protected by    */
/*    Federal copyright law. They may not be disclosed to third parties or    */
/*    or duplicated in any form, in whole or in  part, without  the  prior    */
/*    written consent of CTIV.                                                */
/*                                                                            */
/******************************************************************************/


// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     dlRegisterToken.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision: 1.2 $
// = DATE RELEASED
//     $Date: 2000/06/10 03:26:14 $
// = RCSID
//     $Id: dlRegisterToken.h,v 1.2 2000/06/10 03:26:14 ours Exp $
// = COPYRIGHT
//     Copyright  1999-2000 Centre de traitement en imagerie virtuelle inc.
//     All Rights Reserved.
// ===========================================================================


#ifndef __dlRegisterToken_H
#define __dlRegisterToken_H

class DlTokenRegistry;
class DlShaderToken;

#ifndef __declspec
#ifndef WIN32
#define __declspec(x)
#endif
#endif

// Utility function for shaders to register their tokens
__declspec(dllexport) void RegisterToken(DlTokenRegistry *i_registry, const char* i_name, const char* i_decl, DlShaderToken& io_token);

#endif // __dlRegisterToken_H

