/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Developers.                                   */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/


// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     dlBasicTypes.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision: 1.2 $
// = DATE RELEASED
//     $Date: 2000/07/13 14:38:16 $
// = RCSID
//     $Id: dlBasicTypes.h,v 1.2 2000/07/13 14:38:16 ours Exp $
// = COPYRIGHT
//     Copyright  1999-2000 The 3Delight Developers.
//     All Rights Reserved.
// ===========================================================================


#ifndef __dlBasicTypes_H
#define __dlBasicTypes_H

typedef float DlRGBColor[3];

typedef float DlVector2[2];
typedef float DlVector3[3];
typedef float DlVector4[4];

typedef double DlVector3Double[3];
typedef double DlVector4Double[4];

typedef float DlVectorUV[2];

typedef float DlMatrix44[16];
typedef float DlBasis44[16];

#endif // __dlBasicTypes_H

