/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Team.                                         */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

volume
fog(
	float distance = 1;
	color background = 0; )
{
	float d = 1 - exp( -length(P - E) / distance );

	Ci = mix(Ci, background, d);
	Oi = mix(Oi, color (1,1,1), d);
}
