/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Team.                                         */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

surface
metal(
	float Ka = 1;
	float Ks = 1;
	float roughness = .1;)
{
	normal Nf;
	vector V;

	Nf = faceforward(normalize(N), I);
	V = normalize(-I);

	Oi = Os;
	Ci = Cs * ( Ka * ambient() + Ks * specular(Nf, V, roughness) );

	Ci *= Oi;
}
