surface
shinymetal(
	float Ka = 1;
	float Ks = 1;
	float Kr = 1;
	float roughness = .1;
	string texturename = "";)
{
	normal Nf;
	vector D, V;
	color Cr;

	Nf = faceforward(normalize(N), I);
	V = normalize(-I);
	D = reflect(I, Nf) ;
	D = vtransform( "world", D);

	if (texturename != "") 
	{
		Cr = Kr * color environment(texturename, D);
	}
	 else 
	{
		Cr = 0;
	} 

	Oi = Os;	
	Ci = Cs * (Ka * ambient() + Ks * specular(Nf, V, roughness) + Cr);	

	Ci *= Oi;
}
